{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/select2/select2.min.css' %}">
{% endblock stylesheet %}


{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Editar Alumnos" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'student_list' %}">{% trans "Alumnos" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Editar Alumno" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">

    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>{% trans "Editar alumno" %} </h3>
                <div class="ibox-content">
                    <form action="{% url 'student_update' student.pk %}" id="formulario" method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="row">
                            <div class="form-group col-md-4">
                                {{ form.first_name|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.last_name|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.password|bootstrap }}
                            </div>
                        </div>
                        <div class="row">                                                 
                            <div class="form-group col-md-4">
                                {{ form.email|bootstrap }}
                            </div>
                            <div class="form-group col-md-8">
                                <label for="select_campus_carreer">
                                    {% trans "Campus Carrera:" %}<br>
                                    <select id="select_campus_carreer" class="js-example-responsive js-states form-control select2-hidden-accessible" multiple="multiple" tabindex="-1" aria-hidden="true" style="width: 40.8vw" name="select_campus_carreer">
                                    {% for ar in obj_ar %}
                                        <optgroup label="{{ar.campus_name}}">
                                        {% for carreer in ar.carreers %}
                                            <option value="{{carreer.id}}">{{carreer.name}}</option>
                                        {% endfor %}
                                        </optgroup>                                        
                                    {% endfor %}
                                    </select>
                                </label>                                       
                            </div>
                        <div class="row">
                                <div class="form-group col-md-4">
                                    <label for="select_course">
                                        {% trans "NRC:" %}<br>
                                        <select id="select_course" class="js-example-responsive js-states form-control select2-hidden-accessible" multiple="multiple" tabindex="-1" aria-hidden="true" style="width: 15.8vw" name="select_course">
                                        {% for c in course.all %}
                                            <option value="{{c.id}}">{{c.nrc}}</option>
                                        {% endfor %}
                                        </select>
                                    </label>                                
                                </div>                                      
                            </div>          
                        </div>                        
                        <div class="row">
                            <div class="form-group col-md-12">
                                {{ form.description|bootstrap|safe }}
                            </div>
                        </div>                    
                        <div class="row">
                            <!-- <div class="form-group col-md-4">
                                <div class="client-avatar">                            
                                   <img alt="image" src="/media/{{student.avatar}}">
                                </div>
                            </div> -->
                            <div class="form-group col-md-4">
                                {{ form.avatar|bootstrap }}
                            </div>
                            <div class="form-group col-md-4">
                                {{ form.transcript|bootstrap }}
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group clearfix">
                            <input type="submit" class="btn btn-primary pull-right" value="{% trans "Actualizar"%}">
                            <input type="reset" class="btn btn-white pull-right" value="{% trans "Limpiar" %}">                        
                        </div>
                    </form>
                </div>
            </div>        

        </div>
    </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>

<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){   
        $('#select_campus_carreer').val({{obj_ac | safe}});
        $('#select_course').val({{obj_c | safe}});

        $('#select_campus_carreer').select2({
            placeholder: {
                id: '-1',
                text: ' -- Seleccione una Carrera -- '}
        });
        $('#select_course').select2({
            placeholder: {
                id: '-1',
                text: ' -- Seleccione NRC -- '}
        });
    });
</script>

{% endblock javascript %}